set autoscale                        # scale axes automatically
set log x 2                            
unset label                            # remove any previous labels
set key top right inside
set xtic auto
set ytic auto                          # set ytics automatically
set format x "2^%L"
set datafile separator ','
set title "Quicksort: Granularity Performance"
set ylabel "Execution time (s)"
set xlabel "Number of elements sorted dirctly"
set xr [*:*]
set yr [*:*]
plot "./output/PDF_quicksort_granularity.csv" using 4:8 title 'PDF scheduler' with linespoints lt 1 pt 1, \
     "./output/WS_quicksort_granularity.csv" using 4:8 title 'WS scheduler' with linespoints lt 1 pt 3
