set autoscale                        # scale axes automatically
set log x 2 
unset label                            # remove any previous labels
set key inside top right
set xtic auto
set ytic auto                         # set ytics automatically
#set format x "$2^{%L}$"
set format x "2^%L"
set datafile separator ','
set title "Mergesort: Granularity Performance (logarithm comparison)"
#set ylabel "\begin{sideways}Execution time (s)\end{sideways}"
set ylabel "Speedup"
set xlabel "Number of runs"
set xr [*:*]
set yr [*:*]
plot "./output/PDF_mergesort_fanout_log.csv" using 4:7 title 'PDF sorting' with linespoints lt 1 pt 1, \
     "./output/PDF_mergesort_fanout_log.csv" using 4:8 title 'PDF merging' with linespoints lt 1 pt 2, \
     "./output/PDF_mergesort_fanout_log.csv" using 4:9 title 'PDF total' with linespoints lt 1 pt 3, \
     "./output/WS_mergesort_fanout_log.csv" using 4:7 title 'WS sorting' with linespoints lt 4 pt 1, \
     "./output/WS_mergesort_fanout_log.csv" using 4:8 title 'WS merging' with linespoints lt 4 pt 2, \
     "./output/WS_mergesort_fanout_log.csv" using 4:9 title 'WS total' with linespoints lt 4 pt 3
