set autoscale                        # scale axes automatically
set log x 2                            
unset label                            # remove any previous labels
set key bottom right inside
set xtic auto
set ytic auto                         
set format x "2^%L"
set datafile separator ','
set title "Quicksort: Granularity Speedup (logarithm comparison)"
set ylabel "Speedup"
set xlabel "Number of elements sorted directly"
set xr [*:*]
set yr [*:*]
plot "./output/PDF_quicksort_granularity_log.csv" using 4:9 title 'PDF scheduler' with linespoints ls 1 pt 1, \
     "./output/WS_quicksort_granularity_log.csv" using 4:9 title 'WS scheduler' with linespoints ls 1 pt 3
